@ECHO OFF
@setlocal

if .==%NAUTICA_HOME%. GOTO ERR

set NAUTICA_LIB="%NAUTICA_HOME%\lib"
set CLASSPATH=.;%NAUTICA_LIB%\nautica-core.jar;%NAUTICA_LIB%\log4j-1.2.8.jar;
set DEFREG=jp.co.argo21.nautica.workflow.DefinitionRegister

cd "%NAUTICA_HOME%"

"%JAVA_HOME%\bin\java" -classpath %CLASSPATH% %DEFREG% -jndi iiop://localhost:1050 %*

GOTO END

:ERR
@echo 環境変数NAUTICA_HOMEが設定されていません。
@echo 環境変数NAUTICA_HOMEにNAUTICAをインストールしたディレクトリを
@echo 設定してください。

:END
@endlocal
